# Adjust this path as necessary (14.0 is for Visual Studio 2015)
export VCTK="c:/Program Files (x86)/Microsoft Visual Studio 14.0/VC"
export VCTK_MSYS=`cygpath "${VCTK}"`

# Adjust this to match the Windows SDK installation path
export WINSDK_PATH="C:/Program Files (x86)/Windows Kits/10/"

# Adjust this to match the installed Windows 10 SDK version
##export WINSDK_VER=10.0.10240.0
#export WINSDK_VER=10.0.14393.0
export WINSDK_VER=10.0.16299.0

if [ -d "${VCTK_MSYS}" ] ; then

  if [ -d "${WINSDK_PATH}/Lib/${WINSDK_VER}" ] ; then

    export PATH=$PATH:"${VCTK_MSYS}/bin"

    export TKS_ROOT=`pwd`
    alias m="make -j10 -f makefile.msvc"
#    export PATH=${TKS_ROOT}/../win_x64:$PATH
    export PATH="/c/Program Files/tks":$PATH

  else
    echo "Windows SDK path \"${WINSDK_PATH}/Lib/${WINSDK_VER}\" does not exist."
    echo "Please edit \"setenv_mscv.sh\" and fix the WINSDK_PATH and WINSDK_VER settings !"
  fi

else
  echo "Visual Studio directory \"${VCTK}\" does not exist."
  echo "Please edit \"setenv_mscv.sh\" and fix the VCTK path !"
fi

# when not set, use "Program Files" / "Program Files (x86)" in x64 / x86 builds
#export TKS_PREFIX=/c/Program Files/tks

export TKS_ZIP_PREFIX=/f/Projects/zipped/

